play.data.binding.types

## Class CalendarBinder

- java.lang.Object
- - play.data.binding.types.CalendarBinder

All Implemented Interfaces:
  TypeBinder<java.util.Calendar>

    public class CalendarBinder
    extends java.lang.Object
    implements TypeBinder<java.util.Calendar>

Binder that support Calendar class.

### Constructor Summary

Constructors
Constructor and Description
`CalendarBinder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Calendar` `bind(java.lang.String name, java.lang.annotation.Annotation[] annotations, java.lang.String value, java.lang.Class actualClass, java.lang.reflect.Type genericType)` Called when your parameter needs to be bound.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CalendarBinder

    public CalendarBinder()

### Method Detail

#### bind

    public java.util.Calendar bind(java.lang.String name,
                                   java.lang.annotation.Annotation[] annotations,
                                   java.lang.String value,
                                   java.lang.Class actualClass,
                                   java.lang.reflect.Type genericType)
                            throws java.lang.Exception

Description copied from interface: `TypeBinder`
Called when your parameter needs to be bound.

Specified by:
  `bind` in interface `TypeBinder<java.util.Calendar>`
Parameters:
  `name` - the name of you parameter ie myparam for a simple param but can also be a complex one : mybean.address.street
  `annotations` - An array of annotation that may be bound to your method parameter or your bean property
  `value` - the actual value as a string that needs to be bound
  `actualClass` - The class of the object you want to associate the value with
  `genericType` - The generic type associated with the object you want to bound the value to
Returns:
  the 'bound' object for example a date object if the value was '12/12/2002'
Throws:
  `java.text.ParseException` - if parameter has invalid format (e.g. date)
  `java.lang.Exception` - deprecated! Will be removed in Play 1.5